Subject: Re: [manet] DLEP-17 comments, part 3

From: Rick Taylor <[email-masked]>
Date: Tue, 8 Mar 2016 17:53:50 +0000

More comments inline...

On 03/12/15 16:18, Dearlove, Christopher (UK) wrote:
> A quick one, just sections 6 and 7.
>
> Section 6, first line. I wouldn’t write this (WG etc.) but that’s a
> style issue.

You're right, it's pretty fluffy language, but we're happy with it. It's 
now moved up to the introduction where the less formal text lives.

>
> Section 6, first paragraph, additional rules of behaviour. Those are
> tricky. New rules because of new messages, OK. But new rules in existing
> situations, that’s a compatibility issue. I would suggest making it
> clear that’s not intended. (You can’t actually ban it, because an update
> could remove the ban …)

This has been reworded to avoid this issue.

>
> Section 6, third paragraph. Not Reserved, that has a different meaning.
> See RFC 5226. All uses of Reserved in the document need review accordingly.
>

Have done - we now use RFC 5226 wording as applicable

> Section 7, line one. The specificity of thousands makes me want to ask
> for details.

I suggest asking Stan, that's his text...

>
> Section 7, line 4, is this an RFC 2119 RECOMMENDED?

It is now.

>
> Section 7. This one paragraph covers two topics, which should be
> different paragraphs. The first is having lots of destinations. The
> second is managing each destination so as to not produce excessive data.
> (Actually, there’s really a third, flapping isn’t a DLEP problem, it’s a
> use by the router of the data problem.) Only the first of these is
> scalability, the second is a different efficiency issue.

Split into 2 paragraphs.

On to the next mail...